## mgltools-opengltk 1.5.4.cvs.20100912

=== Togl/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2005 ActiveState Corporation.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile,v 1.2 2006/09/27 19:05:22 vareille Exp $

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

#SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@
SHLIB_SUFFIX	= .so
MATH_LIBS	= -lieee -lm
LIBGLU		= -lGLU

DEMO_SRCS	= double.c gears.c index.c overlay.c stereo.c texture.c
DEMO_OBJS	= $(DEMO_SRCS:.c=.$(OBJEXT))
DEMO_SHLIBS	= $(DEMO_SRCS:.c=$(SHLIB_SUFFIX))

#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  togl.c
PKG_OBJECTS	=  togl.o

PKG_STUB_SOURCES = 
PKG_STUB_OBJECTS = 

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	=  togl.h togl_ws.h

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libTogl1.7.so
PKG_STUB_LIB_FILE = libToglstub1.7.a

lib_BINARIES	= $(PKG_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr
exec_prefix	= /usr

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL}

PACKAGE_NAME	= Togl
PACKAGE_VERSION	= 1.7
CC		= gcc -pipe
CFLAGS_DEFAULT	= -O2 -fomit-frame-pointer
CFLAGS_WARNING	= -Wall -Wno-implicit-int
CLEANFILES	= pkgIndex.tcl so_locations $(DEMO_OBJS) $(DEMO_SHLIBS)
EXEEXT		= 
LDFLAGS_DEFAULT	=  -Wl,--export-dynamic
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fPIC
SHLIB_LD	= gcc -pipe -shared
SHLIB_LD_LIBS	= ${LIBS} -L/usr/lib -ltclstub8.4 -L/usr/lib -ltkstub8.4
STLIB_LD	= ${AR} cr
#TCL_DEFS	= -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_STRUCT_TM_TM_ZONE=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_BIN_DIR	= /usr/lib
TCL_SRC_DIR	= /usr/include/tcl-private
#TK_BIN_DIR	= /usr/lib
#TK_SRC_DIR	= /usr/include/tk-private

# Not used, but retained for reference of what libs Tcl required
#TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

#EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR):$(TK_BIN_DIR)
TCLLIBPATH	= $(top_builddir)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  LD_LIBRARY_PATH="$(EXTRA_PATH):$(LD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(TCLLIBPATH)"
#		  TK_LIBRARY=`echo $(TK_SRC_DIR)/library`

TCLSH_PROG	= /usr/bin/tclsh8.4
TCLSH	= $(TCLSH_ENV) $(TCLSH_PROG)

WISH_PROG	= /usr/bin/wish8.4
WISH	= $(TCLSH_ENV) $(WISH_PROG)


SHARED_BUILD	= 1

#INCLUDES	=  -I"/usr/include"
INCLUDES	=  -I"/usr/include" -I"/usr/include/tk-private/generic" -I"/usr/include/tk-private/unix" -I/usr/X11R6/include

PKG_CFLAGS	=  

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"Togl\" -DPACKAGE_TARNAME=\"togl\" -DPACKAGE_VERSION=\"1.7\" -DPACKAGE_STRING=\"Togl\ 1.7\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DUSE_TCL_STUBS=1 -DUSE_TK_STUBS=1  $(PKG_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"Togl\" -DPACKAGE_TARNAME=\"togl\" -DPACKAGE_VERSION=\"1.7\" -DPACKAGE_STRING=\"Togl\ 1.7\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DUSE_TCL_STUBS=1 -DUSE_TK_STUBS=1  $(PKG_CFLAGS)

CONFIG_CLEAN_FILES = Makefile

CPPFLAGS	= 
LIBS		=  -L/usr/X11R6/lib -lX11 -lGL -lXmu 
AR		= ar
CFLAGS		=  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES)

libraries:


#========================================================================
# Demo section.  These are binaries because we don't want to install them.
# And they're not tests because we currently have no automatic way to see
# if they work.
#========================================================================

demos: $(DEMO_SHLIBS)

double$(SHLIB_SUFFIX): double.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ double.$(OBJEXT) togl.$(OBJEXT) $(SHLIB_LD_LIBS)

gears$(SHLIB_SUFFIX): gears.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ gears.$(OBJEXT) togl.$(OBJEXT) $(SHLIB_LD_LIBS) $(MATH_LIBS)

index$(SHLIB_SUFFIX): index.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ index.$(OBJEXT) togl.$(OBJEXT) $(SHLIB_LD_LIBS)

overlay$(SHLIB_SUFFIX): overlay.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ overlay.$(OBJEXT) togl.$(OBJEXT) $(SHLIB_LD_LIBS)

stereo$(SHLIB_SUFFIX): stereo.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ stereo.$(OBJEXT) togl.$(OBJEXT) $(SHLIB_LD_LIBS)

texture$(SHLIB_SUFFIX): texture.$(OBJEXT) image.$(OBJEXT) togl.$(OBJEXT)
	$(SHLIB_LD) -o $@ texture.$(OBJEXT) image.$(OBJEXT) \
	togl.$(OBJEXT) $(LIBGLU) $(SHLIB_LD_LIBS)

#========================================================================
# Your doc target should differentiate from doc builds (by the developer)
# and doc installs (see install-doc), which just install the docs on the
# end user machine when building from source.
#========================================================================

doc:
#	@echo "If you have documentation to create, place the commands to"
#	@echo "build the docs in the 'doc:' target.  For example:"
#	@echo "        xml2nroff sample.xml > sample.n"
#	@echo "        xml2html sample.xml > sample.html"

install: all install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries

#========================================================================
# This rule installs platform-independent files, such as header files.
# The list=...; for p in $$list handles the empty list case x-platform.
#========================================================================

install-libraries: libraries
	@mkdir -p $(DESTDIR)$(includedir)
	@echo "Installing header files in $(DESTDIR)$(includedir)"
	@list='$(PKG_HEADERS)'; for i in $$list; do \
	    echo "Installing $(srcdir)/$$i" ; \
	    $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir) ; \
	done;

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
#	@mkdir -p $(DESTDIR)$(mandir)/mann

## mgltools-opengltk 1.5.6~rc1+cvs.20110625

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc1+cvs.20110625-1ubuntu2) oneiric; urgency=low

  * Fix FTBFS from previous upload.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 22:39:58 -0400

mgltools-opengltk (1.5.6~rc1+cvs.20110625-1ubuntu1) oneiric; urgency=low

  * Add undefsyms.patch: Numerous source files were not guarding against
    previous inclusions of various X11 headers, so only include what's
    necessary. Fixes FTBFS. (LP: #831268)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 09:39:44 -0400

mgltools-opengltk (1.5.6~rc1+cvs.20110625-1) unstable; urgency=low

  * using current source from cvs
  * debian/control: depend on versionless tk-dev (Closes: #631539)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Jun 2011 18:20:22 +0200

mgltools-opengltk (1.5.6~rc1+cvs.20110617-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 01:20:22 +0200

mgltools-opengltk (1.5.4.cvs.20100912-2) unstable; urgency=low

  * Debhelper 8 (control+compat)
  * debian/source/format: 3.0 (quilt)
  * debian/control:
    - Build-Depends: python-all-dev (>= 2.6) to enable python-support2
      Closes: #616894
    - XS-Python-Version: >= 2.6
      Closes: #623905
  * debian/rules: switch to short dh syntax which makes
    dh_python2 easy

 -- Andreas Tille <tille@debian.org>  Tue, 26 Apr 2011 11:52:41 +0200

mgltools-opengltk (1.5.4.cvs.20100912-1) unstable; urgency=low

  * New upstream version.
  * Adjusted dependencies (Closes: #596320, #586843).

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Sep 2010 00:20:31 +0200

mgltools-opengltk (1.5.4.cvs.20090603-2) UNRELEASED; urgency=low

  * debian/control:
    - Enhances: autodocktools
    - debhelper 7
    - Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Oct 2009 22:47:50 +0200

mgltools-opengltk (1.5.4.cvs.20090603-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build extension for all supported Python versions (closes: #586843)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Jun 2010 21:21:01 +0200

mgltools-opengltk (1.5.4.cvs.20090603-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Jun 2009 11:48:22 +0200

mgltools-opengltk (1.5.4.cvs.20090528-1) unstable; urgency=low

  * New upstream version (Closes: #528713).

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 May 2009 00:51:27 +0200

mgltools-opengltk (1.5.4.cvs.20090514-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 May 2009 21:46:38 +0200

mgltools-opengltk (1.5.4.cvs.20081126-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Nov 2008 14:43:14 +0100

mgltools-opengltk (1.5.2.cvs.20081109-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Nov 2008 15:02:35 +0100

mgltools-opengltk (1.5.2.cvs.20080731-1) unstable; urgency=low

  * Initial release, contributes to closing ITP #458811.

 -- Steffen Moeller <moeller@debian.org>  Thu, 31 Jul 2008 22:00:01 +0200

=== debian/control ===
Source: mgltools-opengltk
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
XS-Autobuild: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
 Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig (>= 1.3.20), libglu1-mesa-dev, mesa-common-dev, tk-dev, libxmu-dev, python-numpy
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: http://mgltools.scripps.edu/

Package: mgltools-opengltk
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libglu1-mesa, tk8.4|tk8.5|tk, python-numpy, mgltools-gle
Enhances: autodocktools
Description: Opengltk Python extension
 The library is needed by mgltools-autodocktools at runtime.  It contains
 the interface for building OpenGL Python extensions with the Python 
 build system Distutils.  Distutils uses SWIG for generating C wrapper
 code.

## mgltools-opengltk 1.5.6~rc2+cvs.20110926

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc2+cvs.20110926-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 10:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mgltools-opengltk
 Section: non-free/science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
 Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,

## mgltools-opengltk 1.5.6~rc2+cvs.20111222

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc2+cvs.20111222-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 22 Dec 2011 17:10:10 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for mgltools-opengltk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BRANCH=`cat debian/get-orig-source/current-branch`
RCVERSION=`cat debian/get-orig-source/rc-version`
SRC=opengltkDIST

%:
	dh $@ --with python2

DEB_PYTHON_INSTALL_ARGS += --single-version-externally-managed

override_dh_clean:
	dh_clean
	find . -name CVS -a -type d| xargs -r rm -rf
	find . -name config.status -a -type f| xargs -r rm -rf
	rm -rf build build-stamp
	cd opengltk/extent/ && \
           rm -f gl_i.h.diff glext_mgltools_i.h.diff glextlib.py.diff \
                 glextlib_wrap.c.diff gllib.py.diff gllib_wrap.c.diff \
                 glu_i.h.diff glulib.py.diff glulib_wrap.c.diff glx_i.h.diff \
                 glxlib.py.diff glxlib_wrap.c.diff utillib.py.diff utillib_wrap.c.diff

get-orig-source:
	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)

## mgltools-opengltk 1.5.6~rc3~cvs.20120601

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc3~cvs.20120601-2) unstable; urgency=low

  * debian/patches/opengl.patch: Apply patch from Steffen Moeller
    <steffen_moeller@gmx.de>
    Closes: #693653

 -- Andreas Tille <tille@debian.org>  Fri, 30 Nov 2012 17:39:00 +0100

mgltools-opengltk (1.5.6~rc3~cvs.20120601-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add call to dh_numpy
  * debian/control: bump standard to 3.9.3

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Jun 2012 18:00:00 +0200

mgltools-opengltk (1.5.6~rc3~cvs.20120206-1) unstable; urgency=low

  * New upstream version.
  * debian/control: vcs fields corrected

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2012 18:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
+Uploaders: Steffen Moeller <moeller@debian.org>,
+ Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig (>= 1.3.20), libglu1-mesa-dev, mesa-common-dev, tk-dev, libxmu-dev, python-numpy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://mgltools.scripps.edu/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/opengltk/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/opengltk/trunk/
 
 Package: mgltools-opengltk
 XB-Python-Version: ${python:Versions}

## mgltools-opengltk 1.5.7~rc1~cvs.20130519

=== tkdnd2.0/win/Makefile ===
###############################################################################
##
## Makefile.vc - Microsoft Visual C++ makefile
##
###############################################################################

##
## Please, update the following parameters to reflect your system.
##

## Location of the Tcl installation:
TCL     = C:\Program Files\Tcl

##
## Usage:
## nmake -f Makefile.vc
##

##
## No need to modify bellow this point...
##

!if !exist("makefile.vc") && !exist("makefile")
MSG = ^
You must run this makefile only from the directory it is in.^
Please `cd` to its location first.
!error $(MSG)
!endif

## Include directories:
INCDIR = -I"$(TCL)\include" \
	 -I"$(TCL)\include8.4"

## library directories:
LIBDIR = -libpath:"$(TCL)\lib"

## Declarations common to all compiler options:
cflags = -nologo -c -W3 -MT -EHsc -YX -FD -O2 -Op -Gs -LD \
	 -D "WIN32" -D "NDEBUG" -D "_WINDOWS" -D "_MBCS" \
	 -D "_USRDLL" -D "USE_TCL_STUBS" -D "USE_TK_STUBS"

## Declarations common to all linker options
lflags	= -nologo -machine:I386 -subsystem:windows -release \
          -opt:ref -opt:icf,3 -dll \
	  -incremental:no -nodefaultlib:"MSVCRT.LIB"

LIBS    = kernel32.lib user32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib

cc32            = $(CC)   # built-in default.
link32          = link
lib32           = lib
MKDIR           = mkdir
MV              = move
CP              = copy
RM              = del
RMDIR           = rmdir /S /Q

all:
	$(cc32) $(cflags) $(INCDIR) TkDND_OleDND.cpp \
	  -D TKDND_PACKAGE="\"tkdnd\"" -D TKDND_VERSION="\"2.0\"" 
	$(link32) $(lflags) $(LIBDIR) tclstub84.lib tkstub84.lib $(LIBS)\
	  TkDND_OleDND.obj -out:"..\libtkdnd20.dll"
	$(RM) ..\*.exp ..\*.lib *.idb *.pch *.obj

=== debian/changelog ===
mgltools-opengltk (1.5.7~rc1~cvs.20130519-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump standard to 3.9.4 (no changes)
  * debian/control: remove DM-Upload-Allowed
  * debian/copyright: add permission for debian to distribute mgltools

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 May 2013 12:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: non-free/science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 XS-Autobuild: yes
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig (>= 1.3.20), libglu1-mesa-dev, mesa-common-dev, tk-dev, libxmu-dev, python-numpy
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 XS-Python-Version: >= 2.6
 Homepage: http://mgltools.scripps.edu/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/opengltk/trunk/

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,9 @@
                  glu_i.h.diff glulib.py.diff glulib_wrap.c.diff glx_i.h.diff \
                  glxlib.py.diff glxlib_wrap.c.diff utillib.py.diff utillib_wrap.c.diff
 
+override_dh_install:
+	dh_install
+	dh_numpy
+
 get-orig-source:
 	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)

## mgltools-opengltk 1.5.7~rc1%2Bcvs.20140424

=== Togl/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the file "license.terms" for information on usage and redistribution
 # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 #
-# RCS: @(#) $Id: Makefile,v 1.2 2006/09/27 19:05:22 vareille Exp $
+# RCS: @(#) $Id: Makefile,v 1.4 2009/03/30 23:37:12 vareille Exp $
 
 #========================================================================
 # Add additional lines to handle any additional AC_SUBST cases that

=== debian/changelog ===
mgltools-opengltk (1.5.7~rc1+cvs.20140424-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 24 Apr 2014 17:40:47 +0200

mgltools-opengltk (1.5.7~rc1~cvs.20130917-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 17 Sep 2013 14:47:43 +0200

## mgltools-opengltk 1.5.7~rc1+cvs.20140424

=== tkdnd2.0/unix/Makefile ===
all:
	gcc -shared -fPIC TkDND_XDND.c \
        -DTKDND_PACKAGE="\"tkdnd\"" -DTKDND_VERSION="\"2.0\"" \
        -DUSE_TCL_STUBS -DUSE_TK_STUBS -DHAVE_UNISTD_H -DHAVE_LIMITS_H \
        -I /usr/include -I /usr/include/tk-private/generic \
        -I /usr/include/tcl-private/generic \
	-I /mgl/prog/share/include -I ../../include \
        -L /usr/lib -L /mgl/prog/i86Linux2/lib -L/usr/X11R6/lib -L/usr/X11/lib -lX11 -ltclstub8.4 -ltkstub8.4 -o ../libtkdnd20.so

swig:
	/usr/bin/swig -tcl -module tkdnd TkDND_X.h
	gcc -shared -fPIC TkDND_X_wrap.c -D USE_TCL_STUBS -D USE_TK_STUBS -I \
        /usr/include -L/usr/lib -ltclstub8.4 -ltkstub8.4 -o libtkdnd.so

## mgltools-opengltk 1.5.7

=== debian/changelog ===
mgltools-opengltk (1.5.7-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field
  * remove outdated debian/pycompat

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 17:10:13 +0100

mgltools-opengltk (1.5.7-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * Remove myself from Uploaders
  * debhelper 10
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 31 Dec 2017 14:51:32 +0100

mgltools-opengltk (1.5.7-1) unstable; urgency=medium

  * New upstream version (Closes: #767144,#783547,
                           lp:#821299,lp:1386091,lp:#1386163,lp:#1492762)
  * Added compiler flags to avoid redundant and incompatible
    UNIX declarations

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Jul 2016 17:55:45 +0200

=== debian/control ===
Source: mgltools-opengltk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 11~),
               python-all-dev,
               swig,
               libglu1-mesa-dev,
               mesa-common-dev,
               tk-dev,
               libxmu-dev,
               python-numpy,
               dh-python
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/mgltools-opengltk
Vcs-Git: https://salsa.debian.org/med-team/mgltools-opengltk.git
Homepage: http://mgltools.scripps.edu/

Package: mgltools-opengltk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libglu1-mesa,
         python-numpy,
         mgltools-gle
Enhances: autodocktools
Provides: ${python:Provides}
Description: Opengltk Python extension
 The library is needed by mgltools-autodocktools at runtime.  It contains
 the interface for building OpenGL Python extensions with the Python
 build system Distutils.  Distutils uses SWIG for generating C wrapper
 code.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 BRANCH=`cat debian/get-orig-source/current-branch`
 RCVERSION=`cat debian/get-orig-source/rc-version`
 SRC=opengltkDIST
+export CFLAGS=-D_UNISTD -DSTDC_HEADERS
 
 %:
 	dh $@ --with python2
